## com.rbnb.sapi
Class RequestOptions

    java.lang.Object
      com.rbnb.api.RequestOptions
          com.rbnb.sapi.RequestOptions

All Implemented Interfaces:
  Serializable, Cloneable

    public final class RequestOptions

extends RequestOptions

Encapsulates request settings. The class is used both by `Sink.Request(ChannelMap, double, double, String, RequestOptions)`, to set the options used by the sink making a request, and by `PlugInChannelMap.GetRequestOptions()`, to inform the PlugIn developer of the settings required for this PlugIn request.

The MaxWait property should be set to the wait time in milliseconds, the time the server waits to completely fulfill the request. If zero there is no wait.

Since:
  V2.1B4
See Also:
  Serialized Form
Author:
  WHF

Constructor Summary
`RequestOptions()` Initializes object with the default parameters.

Method Summary
`Object` `clone()` Clones this `Serializable` object.

Methods inherited from class com.rbnb.api.RequestOptions
`getExtendStart, getMaxWait, setExtendStart, setMaxWait, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RequestOptions

    public RequestOptions()

  Initializes object with the default parameters.

Method Detail

### clone

    public Object clone()

  Clones this `Serializable` object.

  Overrides:
    `clone` in class `Object`
  Returns:
    the clone.
  Since:
    V2.0
  Author:
    Ian Brown
  Version:
    04/25/2001